play.db.helper

## Class JpaHelper

- java.lang.Object
- - play.db.helper.JpaHelper

-     public class JpaHelper
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.persistence.Query` | `execute(SqlQuery query)`
    `static javax.persistence.Query` | `execute(java.lang.String sql, java.lang.Object... params)`
    `static javax.persistence.Query` | `execute(java.lang.String dbName, SqlQuery query)`
    `static javax.persistence.Query` | `execute(java.lang.String dbName, java.lang.String sql, java.lang.Object... params)`
    `static javax.persistence.Query` | `executeList(java.lang.String sql, java.util.List<java.lang.Object> params)`
    `static javax.persistence.Query` | `executeList(java.lang.String dbName, java.lang.String sql, java.util.List<java.lang.Object> params)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### execute

          public static javax.persistence.Query execute(java.lang.String sql,
                                                        java.lang.Object... params)

    - #### execute

          public static javax.persistence.Query execute(java.lang.String dbName,
                                                        java.lang.String sql,
                                                        java.lang.Object... params)

    - #### executeList

          public static javax.persistence.Query executeList(java.lang.String sql,
                                                            java.util.List<java.lang.Object> params)

    - #### executeList

          public static javax.persistence.Query executeList(java.lang.String dbName,
                                                            java.lang.String sql,
                                                            java.util.List<java.lang.Object> params)

    - #### execute

          public static javax.persistence.Query execute(SqlQuery query)

    - #### execute

          public static javax.persistence.Query execute(java.lang.String dbName,
                                                        SqlQuery query)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly